Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.statistics
Interface CIBStats

All Superinterfaces:
  CIBProvider, javax.management.j2ee.statistics.Stats

All Known Subinterfaces:
  CIBApplicationPerfStats, CIBExternalResourcePerfStats, CIBPerfStats, CIBResourcePerfStats, CIBServicePerfStats

All Known Implementing Classes:
  CIBApplicationPerfStatsImpl, CIBExternalResourcePerfStatsImpl, CIBPerfStatsImpl, CIBResourcePerfStatsImpl, CIBServicePerfStatsImpl

public interface CIBStats
extends javax.management.j2ee.statistics.Stats, CIBProvider

Provides methods that should implemented by a CIBStats

Field Summary
`static java.lang.String` | `CIBStatsVersion` Version of the Statistics model

Method Summary
`CIBStats` | `fromCompositeData(javax.management.openmbean.CompositeData data)` Returns a CIBStatistic object based on the composite data
`javax.management.openmbean.CompositeData` | `toCompositeData()` Returns a CompositeData object based on the Statistic object

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Field Detail

### CIBStatsVersion

    public static final java.lang.String CIBStatsVersion

  Version of the Statistics model

  See Also:
    Constant Field Values

Method Detail

### toCompositeData

    public javax.management.openmbean.CompositeData toCompositeData()
                                                             throws javax.management.openmbean.OpenDataException

  Returns a CompositeData object based on the Statistic object

  Returns:
    CompositeData
  Throws:
    `javax.management.openmbean.OpenDataException`

### fromCompositeData

    public CIBStats fromCompositeData(javax.management.openmbean.CompositeData data)

  Returns a CIBStatistic object based on the composite data

  Returns:
    CIBStatistic

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD